- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
WPS4TextInternal::State Struct Reference

Internal: the state of a WPS4Text. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::map< int, FontName > | m_fontNames
| the list of fonts names More...
std::vector< Font > | m_fontList
| the list of all font properties More...
std::vector< Paragraph > | m_paragraphList
| the list of all paragraph properties More...
std::vector< WPSEntry > | m_FDPCs
| the list of FDPC entries (ie list to find the font properties lists ) More...
std::vector< WPSEntry > | m_FDPPs
| the list of FDPP entries (ie list to find the paragraph properties lists ) More...
std::vector< Note > | m_footnoteList
| the footnote entries More...
std::map< long, Note const * > | m_footnoteMap
| map: footnote in text -> footnote entry More...
std::map< long, WPSEntry > | m_bookmarkMap
| map: bookmark in text -> bookmark More...
std::vector< DosLink > | m_dosLinkList
| the dos file links More...
WPSEntry | m_main
| the main text zone entry More...
WPSEntry | m_header
| the header text entry More...
WPSEntry | m_footer
| the footer text entry More...
std::vector< WPSEntry > | m_otherZones
| the entries which are not in main/header/footer text and in the footnotes More...
std::map< long, Object > | m_objectMap
| map: object in text -> object More...
std::map< long, DateTime > | m_dateTimeMap
| map: date field in text -> date time format More...
std::vector< DataPLC > | m_plcList
| a list of all PLCs More...
WPS4PLCInternal::KnownPLC | m_knownPLC
| the known plc More...

## Detailed Description

Internal: the state of a WPS4Text.

## Constructor & Destructor Documentation

WPS4TextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

std::map<long, WPSEntry> WPS4TextInternal::State::m_bookmarkMap

map: bookmark in text -> bookmark

std::map<long, DateTime> WPS4TextInternal::State::m_dateTimeMap

map: date field in text -> date time format

std::vector<DosLink> WPS4TextInternal::State::m_dosLinkList

the dos file links

std::vector<WPSEntry> WPS4TextInternal::State::m_FDPCs

the list of FDPC entries (ie list to find the font properties lists )

std::vector<WPSEntry> WPS4TextInternal::State::m_FDPPs

the list of FDPP entries (ie list to find the paragraph properties lists )

std::vector<Font> WPS4TextInternal::State::m_fontList

the list of all font properties

std::map<int,FontName> WPS4TextInternal::State::m_fontNames

the list of fonts names

WPSEntry WPS4TextInternal::State::m_footer

the footer text entry

std::vector<Note> WPS4TextInternal::State::m_footnoteList

the footnote entries

std::map<long,Note const *> WPS4TextInternal::State::m_footnoteMap

map: footnote in text -> footnote entry

WPSEntry WPS4TextInternal::State::m_header

the header text entry

WPS4PLCInternal::KnownPLC WPS4TextInternal::State::m_knownPLC

the known plc

WPSEntry WPS4TextInternal::State::m_main

the main text zone entry

std::map<long, Object> WPS4TextInternal::State::m_objectMap

map: object in text -> object

std::vector<WPSEntry> WPS4TextInternal::State::m_otherZones

the entries which are not in main/header/footer text and in the footnotes

std::vector<Paragraph> WPS4TextInternal::State::m_paragraphList

the list of all paragraph properties

std::vector<DataPLC> WPS4TextInternal::State::m_plcList

a list of all PLCs

The documentation for this struct was generated from the following file:

- WPS4Text.cpp